<?php

declare(strict_types=1);

namespace Plugin\tnt_stabila_shop\src\Interfaces;

interface TableDataInterface
{
    public function getHeader(): object;

    /**
     * @return list<object>
     */
    public function getRows(): array;

    public function getTemplateName(): string;

    public function getPagination(): PaginatedDataInterface;

    public function niceNameLocalized(string $column): string;
}
